Bug 826769 - DNS problems on Windows XP
DNS problems on Windows XP
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
i386 Windows
high Severity medium
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 19:07 EDT by Mike Khusid
Modified: 2015-05-14 21:56 EDT (History)
7 users (show)

See Also:
Fixed In Version: rhc-0.94.7-1+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 14:26:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Khusid 2012-05-30 19:07:45 EDT
Description of problem:
Windows XP DNS causes spurious DNS errors after creating an app. I am guessing we saw some of these errors previously -- and they drove users mad. 

When an app is created, domain name resolution of the new app is not working. Git errors out with an authentication error - so users go into a wild goose chase for bad ssh keys, when the real reason is broken gethostbyname() call. My best guess of the root cause is http://www.fencepost.net/2009/11/dns-fails-nslookup-works-fix/

Version-Release number of selected component (if applicable):
Windows XP SP3, fully patched
client tools

How reproducible:
The problem can usually be observed for a minute up to 10 minutes after app creation. DNS resolution eventually corrects itself.

Steps to Reproduce:
1. Create new OpenShift app.
2. ping app-domain.rhcloud.com
3. nslookup app-domain.rhcloud.com
  
Actual results:
ping fails.
git fails.

Expected results:
git works.
Comment 2 Fabiano Franz 2012-05-30 21:15:08 EDT
Sounds tricky, not sure if we will have a fix for this but at least we can think about a workaround like displaying a message if we detect the DNS lookup fails in the first time.
Comment 3 Fabiano Franz 2012-05-30 21:15:57 EDT
Fotios suggested having a look if we can use something like ipconfig /flushdns.
Comment 4 Fabiano Franz 2012-06-20 14:06:41 EDT
Implemented a workaround, running tests right now and I'll pull request right after that.
Comment 5 Fabiano Franz 2012-06-20 14:59:16 EDT
"Fixed" in rhc-0.94.7-1+.

This is not something that could be fixed easily according to our research, and fixing it would probably require the installation of additional tools and service packs.

So from now on when we detect this issue happening (by checking the platform and then running ping and nslookup) we will not rollback the app creation but show a message warning the user to do a git clone manually after a few minutes.
Comment 6 Jianwei Hou 2012-06-21 00:48:03 EDT
verified in rhc-0.94.7
after app creation,successfully ping,nslookup and git clone without errors.
defect fiexd in rhc-0.94.7
Comment 7 Jianwei Hou 2012-06-21 01:09:33 EDT
Here are some detailed information for this verification:
OS : infomation:Windows XP Service Pack 3
rhc :  rhc-0.94.7

App creation:
C:\test>rhc app create -a testdns -t jbossas-7
Password: ******
 
......
 
testdns published:  http://testdns-nn4.int.rhcloud.com/
git url:  ssh://01257fe0af83446aa8cf4e241584fede@testdns-nn4.int.rhcloud.com/~/g
it/testdns.git/
Successfully created application: testdns
 
 
C:\test>ping testdns-nn4.int.rhcloud.com
 
Pinging ec2-184-72-165-106.compute-1.amazonaws.com [184.72.165.106] with 32 byte
s of data:
 
Reply from 184.72.165.106: bytes=32 time=279ms TTL=45
Reply from 184.72.165.106: bytes=32 time=278ms TTL=45
Reply from 184.72.165.106: bytes=32 time=274ms TTL=45
Reply from 184.72.165.106: bytes=32 time=274ms TTL=45
 
Ping statistics for 184.72.165.106:
    Packets: Sent = 4, Received = 4, Lost = 0 (0% loss),
Approximate round trip times in milli-seconds:
    Minimum = 274ms, Maximum = 279ms, Average = 276ms
 
 
 
C:\test>nslookup testdns-nn4.int.rhcloud.com
*** Can't find server name for address 192.168.122.1: Non-existent domain
*** Default servers are not available
Server:  UnKnown
Address:  192.168.122.1
 
Non-authoritative answer:
Name:    ec2-184-72-165-106.compute-1.amazonaws.com
Address:  184.72.165.106
Aliases:  testdns-nn4.int.rhcloud.com, ex-sml-node1.int.rhcloud.com
 
 
Visit application website successfully
 
git clone: 
C:\test\tmp>git clone  ssh://01257fe0af83446aa8cf4e241584fede@testdns-nn4.int.rh
cloud.com/~/git/testdns.git/
Cloning into 'testdns'...
remote: Counting objects: 39, done.
remote: Compressing objects: 100% (29/29), done.
remote: Total 39 (delta 1), reused 0 (delta 0)
Receiving objects: 100% (39/39), 19.51 KiB, done.
Resolving deltas: 100% (1/1), done.
 
C:\test\tmp>dir testdns
 Volume in drive C has no label.
 Volume Serial Number is 38F0-8B4B
 
 Directory of C:\test\tmp\testdns
 
06/21/2012  01:01 PM    <DIR>          .
06/21/2012  01:01 PM    <DIR>          ..
06/21/2012  01:01 PM                 8 .gitignore
06/21/2012  01:01 PM    <DIR>          .openshift
06/21/2012  01:01 PM    <DIR>          deployments
06/21/2012  01:01 PM             1,744 pom.xml
06/21/2012  01:01 PM             7,775 README
06/21/2012  01:01 PM    <DIR>          src
               3 File(s)          9,527 bytes
               5 Dir(s)   7,606,976,512 bytes free

Note You need to log in before you can comment on or make changes to this bug.